function Func_PrintField(EXPsStrct, EXPsName, Field,FileName)
%
%   Func_PrintField(EXPsStrct, EXPsName, Field,FileName)
%
%   Function that export inside a newly created file named FileName (with 
%   its associated extension) the field specified inside the cell vector 
%   EXPsName of the cell vector of different structure EXPsStrct.
%
%   @param EXPsStrct    :   Experiment structure where each entry of this
%                           vector is an experiment structure that shares 
%                           the common fields.
%   @param EXPsName     :   Experiments name structure associated to the
%                           previous vector. The same number of elements
%                           needed to be passed.
%   @param Field        :   Fields structure that needed to be extracted
%                           from the experiment structures passed as first
%                           arguments.
%   @param FileName     :   File name in which exports the different
%                           informations.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

nEXP   = length(EXPsName);
nField = length(Field);
fileID = fopen(FileName,'w');

for i = 1:1:nEXP
    fprintf(fileID,'%s\n',EXPsName{i});
    for j = 1:1:nField
        FieldVal = Func_ReadingField(EXPsStrct{i},Field{j});
        fprintf(fileID,'%s ',Field{j});
        for k = 1:1:length(FieldVal)
            try
                fprintf(fileID,'- %f ',FieldVal(k));
            catch
                fprintf(fileID,'- %f ',FieldVal{k});
            end
        end
        fprintf(fileID,'\n');
    end
    fprintf(fileID,'\n');
end

fclose(fileID);

end