function ColMap = Func_ColorMapCanard(nC)
%
%   ColMap = Func_ColorMapCanard(nC)
%
%   Function that retrive the colormap chosen for the canard orbits.
%
%   @param nC   :   Number of canard orbit to be visualized.
%
%   @output ColMap: Colormap associated to each canard orbit. This is a
%                   matrix with three columns and a number of row equal to
%                   nC.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

% ========================= REFERENCE COLOURS =============================
% Definition of the colour of reference that will be repeated to create the
% costumize color map once received as input parameter the number of colour
% to create as output.
ColRef  = [255, 149, 5; 0, 209, 191; 198, 146, 255]/255; 
nColRef = size(ColRef,1);

% ======================== COSTUMIZED COLOR MAP ===========================
% Costumized color map output of this function. Initialization of an empty
% matrix which is then populated with dedicated values chosen from the
% reference color vector.
ColMap = zeros(nC,3);

for i=1:1:nC
    iColSelected = rem(i,nColRef);
    if rem(i,nColRef)==0, iColSelected = nColRef; end
    ColMap(i,:) = ColRef(iColSelected,:); 
end

end