function [DilX, DilY, DilZ] = Func_ComputeDilationContraction(BBs)
%
%   [DilX, DilY, DilZ] = Func_ComputeDilationContraction(BBs)
%
%   Computation of the some dilation and contraction factor to improve the
%   visualization. These are directly computed from the BBs cell array. The
%   visualization and the computation of the scaling factor are manually
%   implemented.
%
%   @param BBs  :   Ranges of the four subplots respect to the x, y and z
%                   variables.
%
%   @output DilX:   Dilation factor respect to the x variable.
%   @output DilY:   Dilation factor respect to the y variable.
%   @output DilZ:   Dilation factor respect to the z variable.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

nC   = 4;
DilX = ones(nC,1);
DilY = [1, 1, BBs{1}.y/BBs{3}.y, BBs{2}.y/BBs{4}.y];
DilZ = [1, BBs{1}.z/BBs{2}.z, 1, BBs{3}.z/BBs{4}.z];

end