function [EE,EV] = Func_ComputeEigEQ(J,P,VAR)
%
%   [EE,EV] = Func_ComputeEigEQ(J,P,VAR)
%
%   Function that compute the eigenvalue and the eigenvector of the
%   specified point P passed as input to the function argument.
%
%   @param J    :   Jacobian function handle
%   @param P    :   Point for which compute the Jacobian matrix
%   @param VAR  :   Cell vector containing the variable of the point P
%
%   @output EE  :   Point eigenvalue
%   @output EV  :   Point eigenvector
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

syms V h s

VARRef = {'V','h','s'}; nVAR = length(VARRef); perm = 1:1:nVAR;
[EV,EE] = eig(vpa(subs(J,[V,h,s],[P.V,P.h,P.s])));

for i = 1:1:nVAR
    for j = i:1:nVAR
        if strcmp(VAR{i},VARRef{j}), perm([i,j]) = perm([j i]); end
    end
end

EE = diag(EE); EE = EE(perm); EV = EV(:,perm);

end