function L = Func_ComputeGeomL(Lf,C0f,opts)
%
%   L = Func_ComputeGeomL(Lf,C0f,opts)
%
%   Computation of the fold line L in a set of point specified inside the
%   opts structure.
%
%   @param Lf       :   Fold line function handle
%   @param C0f      :   Critical manifold function handle
%   @param opts     :   Options structure
%
%   @output L       :   Fold line structure
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

% ============================= AXES GENERATION ===========================
% Generation of the axes where the Fold curve will be investigated.
L.V = linspace(opts.L.V(1),opts.L.V(2),opts.nP);

% =========================== FOLD CURVE COMPUTATION ======================
% Computation of the dynamical system fold curve. This is necessary to then
% visualize the same inside a dedicated open up figure.
L.h    = Lf(L.V);
L.s    = C0f(L.V,L.h);

end