function NSW = Func_ComputeGeomNSW(NSWf,C0f,opts)
%
%   NSW = Func_ComputeGeomNSW(NSWf,C0f,opts)
%
%   Computation of the normal switching condition inside a set of points
%   linearly derived from the option structure passed as input to this
%   function.
%
%   @param NSWf     :   Normal switching function handle
%   @param C0f      :   Critical manifold function handle
%   @param opts     :   Options structure
%
%   @output NSW     :   Normal switching structure
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

% ============================= AXES GENERATION ===========================
% Generation of the axes where the Normal Switching condition is no longer
% satisfied.
NSW.V = linspace(opts.NSW.V(1),opts.NSW.V(2),opts.nP);

% ===================== NORMAL SWITHCING COMPUTATION ======================
% Computation of the dynamical system normal switching condition curve
% fail. This is necessary to visualize the same structure inside a
% dedicated chart.
NSW.h    = NSWf(NSW.V);
NSW.s    = C0f(NSW.V,NSW.h);

end