function P = Func_ComputeIntersectionL(Plane,L)
%
%   P = Func_ComputeIntersectionL(Plane,L)
%
%   Function that compute the intersection between the line L passed as
%   input to the function with the specified Plane.
%
%   @param Plane    :   Plane structure
%   @param L        :   Line structure
%
%   @output P       :   Intersection point
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

nP = length(L.V);
D  = zeros(nP,1);
P  = zeros(3,1);

for i = 1:1:nP
    P(1) = L.h(i); P(2) = L.V(i); P(3) = L.s(i);
    D(i) = abs(Func_DistancePlane(Plane,P));
end

[~, I] = min(D);
P      = [L.h(I),L.V(I),L.s(I)]';

end