function opts = Func_DeafultVisualizationSettings()
%
%   opts = Func_DeafultVisualizationSettings()
%
%   Function that defines the default visualization settings which are used
%   in the most of the visualizations.
%
%   @output opts: Visualization setting structure.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

% ========================== IMAGE: DIMENSION =============================
% Dimension of the image that needed to be visualized and exported.
opts.width              = 8;       
opts.height             = 8;

% ========================== IMAGE: GRID ==================================
% Definition of the grid hyperparameters that are used to visualize the
% grid inside the opened figure.
opts.gridLineStyle      = '-.';     
opts.minorGridLineStyle = '-.';
opts.gridAlpha          = 0.05;     
opts.minorGridAlpha     = 0.05;

% ========================== IMAGE: AXES FONT =============================
% Specification of the axes font used inside the different figures.
opts.Font              = 'Times New Roman';

% ========================= IMAGES: AXES BOUNDARIES =======================
% Definition of the axes boundaries.
opts.xlim               = [0 0.45]; 
opts.ylim               = [-85 35]; 
opts.zlim               = [0 2];    

end