function CT = Func_DeleteCanard(C,nC)
%
%   CT = Func_DeleteCanard(C,nC)
%
%   Function that delete the canard from the structure C. The result is
%   saved inside the CT structure. The number of canard to retain is
%   specified inside the nC variable.
%
%   @param C    :   Canard cell array.
%   @param nC   :   Number of canard for which retain information.
%
%   @output CT  :   Retained canard cell array.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

for iC = 1:1:nC, CT{iC} = C{iC}; end

end