function d = Func_DistancePlane(Plane,P)
% 
%   d = Func_DistancePlane(Plane,P)
%
%   Function that compute the distance from a generic Plane specified as
%   structure with the point P passed as input argument.
%
%   @param Plane    :   Plane considered to compute the distance
%   @param P        :   Point vector
%
%   @output d       :   Distance between the Plane and the Point.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

d = (Plane.a*P(1) + Plane.b*P(2) + Plane.c*P(3) + Plane.d)/...
    sqrt(Plane.a^2 + Plane.b^2 + Plane.c^2);

end