function [V, isT, D] = Func_EventODEAPSingle(t,q,param)
%
%   [V, isT, D] = Func_EventODEAPSingle(t,q.param)
%
%   Event function used as ODE Event function to stop the integration in 
%   when the norm of the solution becomes too much elevated.
%
%   @param t        :   Current instant of time inspected
%   @param q        :   Current state vector
%
%   @output V       :   Value of the function to be evaluated.
%   @output isT     :   Index representative if the i-th event should
%                       terminate or not the integration.
%   @output D       :   Direction from which appraoch the 0 of V.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

V   = q(1);
isT = 1;
D   = 0;

end