function [V, isT, D] = Func_EventODECanardApprox(t,q,param)
%
%   [V, isT, D] = Func_EventODECanardApprox(t,q,param)
%
%   Event function used as ODE Event to detect when the ODE solution
%   reaches the plane Sigma specified inside the parameter structure.
%
%   @param t        :   Current instant of time inspected
%   @param q        :   Current state vector
%   @param param    :   Parameter structure
%
%   @output V       :   Value of the function to be evaluated.
%   @output isT     :   Index representative if the i-th event should
%                       terminate or not the integration.
%   @output D       :   Direction from which appraoch the 0 of V.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

q([1,2]) = q([2,1]);

V(1) = Func_DistancePlane(param.Sigma,q);
V(2) = q(2);
V(3) = q(2)+90;

isT  = [1, 1, 1];

D    = param.D;

end