function [V, isT, D] = Func_EventODENormMax(t,q,param)
%
%   [V, isT, D] = Func_EventODENormMax(t,q,param)
%
%   Event function used as ODE Event function to stop the integration in 
%   when the norm of the solution becomes too much elevated.
%
%   @param t        :   Current instant of time inspected
%   @param q        :   Current state vector
%   @param param    :   Parameter structure
%
%   @output V       :   Value of the function to be evaluated.
%   @output isT     :   Index representative if the i-th event should
%                       terminate or not the integration.
%   @output D       :   Direction from which appraoch the 0 of V.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

q([1,2]) = q([2,1]);
V   = [norm(q) - param.NormBoundary; ...
       Func_DistancePlane(param.Sigma,q)];
isT = [1; 1];
D   = [0; 0];

end