function KI = Func_GainK(Ctrl,gI,DgI)
% 
%   KI = Func_GainK(Ctrl,gI,DgI)
%
%   Function that compute the gain with the formula specified:
%       KI = 1 + Ctrl*DgI/gI;
%
%   @param Ctrl :   Control parameter to compute the gain
%   @param gI   :   Baseline value
%   @param DgI  :   Variation from baseline value
%
%   @output KI  :   Computed gain
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

    KI = 1 + Ctrl*DgI./gI;
    if any(isnan(KI)), KI(isnan(KI)) = 0; end

end