function PPs = Func_MergePoints(EQs,FSs,VAR)
%
%   PPs = Func_MergePoints(EQs,FSs,VAR)
%
%   Function that merge the point inside the cell array EQs and FSs by
%   index inside a cell array vector where each entry contains vector with
%   variables specified in VAR associated to EQs and FSs i-th entries.
%
%   @param EQs  :   Equilibrium point structure.
%   @param FSs  :   Folded singularity structure.
%   @param VAR  :   Variable structure.
%
%   @output PPs :   Merged point cell array.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

% ============================ HYERPARAMETERS =============================
% Hyperparameters used inside further code sections.
nV = length(VAR); nP = length(EQs);

for iP = 1:1:nP
    for iV = 1:1:nV
        eval(['PPs{iP}.',VAR{iV},' = [EQs{iP}.',VAR{iV},', FSs{iP}.',VAR{iV},'];'])
    end
end


end