function MD = Func_MiddlePoint(EQ,FS,VAR)
%
%   MD = Func_MiddlePoint(EQ,FS,VAR)
%
%   Function that compute the middle point between the equilibrium and the
%   folded singularity respect to the variables specified inside the VAR
%   input.
%
%   @param EQ   :   Equilibrium point structure.
%   @param FS   :   Folded singularity structure.
%   @param VAR  :   Variable cell array.
%
%   @output MD  :   Middle point between equilibrium and the folded
%                   singularity.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

nV = length(VAR);
for iV = 1:1:nV, eval(['MD.',VAR{iV},'=(EQ.',VAR{iV},'+FS.',VAR{iV},')/2;']), end

end