function SC = Func_ScalingVar(SC,VAR,K)
%
%   SC = Func_ScalingVar(SC,VAR,K)
%
%   Scaling of the variables VAR contained inside the SC function via the
%   scaling factor K passed as input to this function.
%
%   @param SC   :   Simulation structure to be scaled.
%   @param VAR  :   Variable cell array to be scaled of the SC simulation
%                   structure.
%   @param K    :   Scaling factor to be applied to each variable specified
%                   before.
%
%   @output SC  :   Scaled simulation structure.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

% ======================== HYPERPARAMETERS ================================
% Retrival of some useful hyperparameters used in the further code section.
nVAR = length(VAR);

% ========================== VARIABLES: SCALING ===========================
% Scaling of the different variables respect to the scaling factor K passed
% as input to this function.
for i = 1:1:nVAR
    eval(['var = SC.',VAR{i},';']);
    var = K(i)*var;
    eval(['SC.',VAR{i},' = var;']);
end

end