function Func_SetGrid(Axes,opts)
%
%   Func_SetGrid(Axes,opts)
%
%   Function that set up the grid of the specified axes object.
%   The grid hyperparameters are passed as function arguments.
%
%   @param Axes     :       Axes object for which handle the grids
%   @param opts     :       Option parameter that set up the visualization
%                           grid. Some relevant fields are:
%                           .gridLineStyle      .gridAlpha
%                           .minorGridLineStyle .minorGridAlpha
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

set(Axes,'LooseInset'    , max(get(gca,'TightInset'), 0.02), ...
    'GridLineStyle' , opts.gridLineStyle)
grid on;
set(Axes,'GridLineStyle' , opts.gridLineStyle     , ...
    'MinorGridLineStyle' , opts.minorGridLineStyle, ...
    'GridAlpha'          , opts.gridAlpha         , ...
    'MinorGridAlpha'     , opts.minorGridAlpha);

end