function LVF = Func_ShiftCurve(LVF,S)
%
%   LVF = Func_ShiftCurve(LVF,S)
%
%   Function that shift the curve LVF respect to the minimum value
%   contained inside the simulation S. The simulation S is first cropped
%   respect to the time by a factor of 350 to avoid the initial model
%   transient.
%
%   @param LVF  :   Curve to be translated.
%   @param S    :   Simulation from which derive the translation.
%
%   @output LVF :   Translated curve.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

S = Func_CropTime(S,350);
[~, ImV] = min(S.V); 
shiftV = S.V(ImV) - LVF.V;
LVF.V = LVF.V + shiftV*ones(length(LVF.V),1);

end