function ST = Func_SlowManifoldDeleteElement(S,index)
%
%   ST = Func_SlowManifoldDeleteElement(S,index)
%
%   Function that delete the elements specified inside the index vector
%   from the cell array S passeda as input argument to this function.
%
%   @param S        :   Cell array structure representative of the 
%                       attracting or repelling slow manifolds.
%   @param index    :   Index associated to the element of the cell array
%                       to be deleted.
%   @param ST       :   Structure with deleted fields.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineerings

for iI = 1:1:length(index), ST{iI} = S{index(iI)}; end

end