function OBJ = Func_Strech(OBJ, DX, DY, DZ, VAR)
%
%   OBJ = Func_Strech(OBJ, DX, DY, DZ, VAR)
%
%   Function used to execute the strech of the obejct OBJ passed as input
%   respect to the dilation/contraction factor passed as input argument to
%   this function namde DX, DY and DZ.
%
%   @param OBJ  :   Object that needed to be dilated or contracted.
%   @param DX   :   Dilation factor respect to the x variable.
%   @param DY   :   Dilation factor respect to the y variable.
%   @param DZ   :   Dilation factor respect to the z variable.
%   @param VAR  :   Variable cell array in which the order matters. The
%                   first, second and third varible are associated to the 
%                   x, y and z ones.
%
%   @output OBJ :   Object to which the strech is applied.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

VARRef = {'X','Y','Z'}; nV = length(VAR);
for iV = 1:1:nV, eval(['OBJ.',VAR{iV},' = OBJ.',VAR{iV},'*D',VARRef{iV},';']), end

end
