function OBJ = Func_Transform(OBJ,TX,TY,TZ,VAR)
%
%   OBJ = Func_Transform(OBJ,TX,TY,TZ,VAR)
%
%   Function that execute the transformation via the application of the
%   translation transformation specified as input terms of this function to
%   the variables VAR of the object OBJ.
%
%   @param OBJ      :   Object to which apply the transformation.
%   @param TX       :   Translation along the x-axis.
%   @param TY       :   Translation along the y-axis.
%   @param TZ       :   Translation along the z-axis.
%   @param VAR      :   Variable cell array. The order matters, infact the
%                       first is associated to the x, the second to the y
%                       and the third to z.
%   
%   @output OBJ     :   Transformed object.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

VARRef = {'X','Y','Z'}; nV = length(VAR);
for iV = 1:1:nV, eval(['OBJ.',VAR{iV},' = OBJ.',VAR{iV},' + T',VARRef{iV},';']), end

end