function [Axes, p, Lgd] = Func_VisualizeGeomC0(C0,ModfaceAlpha)
%
%   [Axes, p, Lgd] = Func_VisualizeGeomC0(C0)
%
%   Function that visualize the geometry of C0 inside a previously opened
%   figure.
%
%   @param C0       :   Structure representative of the critical manifold 
%                       of the dynamical.
%
%   @output Axes    :   Axes object representative of the chart where the
%                       critical manifold was visualized.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

if nargin == 1, ModfaceAlpha = false; end
FaceAlpha = 0.35; if ModfaceAlpha, FaceAlpha = 0.5; end

% ===================== CRITICAL MANIFOLD VISUALIZATION ===================
% Visualization of the previously computed critical manifold inside the
% passed argument figure.
hold on, 
surf(C0.h,C0.V,C0.s,C0.C,'EdgeColor','none','FaceAlpha',FaceAlpha), 
hold off
Axes = gca;

hold on
p(1) = fill(0,0,'r','EdgeColor','none','FaceAlpha',0.35);
p(2) = fill(0,0,'k','EdgeColor','none','FaceAlpha',0.35);
hold off
Lgd{1} = '$\mathcal{S}_a^{-/+}$';
Lgd{2} = '$\mathcal{S}_r$';

end