function [Axes, p, L] = Func_VisualizeGeomL(L)
%
%   [Axes, p, L] = Func_VisualizeGeomL(L)
%
%   Function used to visualize the fold line L passed as input parameter of
%   the function. The figure should be already opened.
%
%   @param L        :   Fold line structure that should be visualized
%
%   @output Axes    :   Axes object of the chart where the fold line has
%                       been visualized.
%   @output p       :   Line Handle.
%   @output L       :   Legend to be visualized.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

% ========================= FOLD CURVE VISUALIZATION ======================
% Visualization of the passed fold curve structure inside this function
hold on, 
p = plot3(L.h,L.V,L.s,'Color','k','LineWidth',1.5,'LineStyle','--');
hold off
Axes = gca;
L = '$\mathcal{L}$';

end