function Axes = Func_VisualizeGeomNSW(NSW)
%
%   Axes = Func_VisualizeGeomNSW(NSW)
%
%   Function that visualize the normal switching condition inside a
%   dedicated phase space. The figure should be already opened.
%
%   @param NSW  :   Normal switching condition structure
%
%   @output Axes:   Axes of the last opened chart where the normal
%                   switching condition has been visualized.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

% =================== NORMAL SWITCHING CONDITION VISUALIZATION ============
% Visualization of the passed normal swithcing condition fail curve.
hold on, 
plot3(NSW.h,NSW.V,NSW.s,'Color',[0.1 0.1 0.1],'LineWidth',1.2,'LineStyle','-'), 
hold off
Axes = gca;

end