function Axes = Func_VisualizeIntersectionL(L)
%
%   Axes = Func_VisualizeIntersectionL(L)
%
%   Function that visualize the intersection specified inside the structure
%   L specified as input parameter.
%
%   @param L    :   Structure which contains the intersection point between
%                   two objects.
%   
%   @output Axes:   Axes object of the chart lastly opened.
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

hold on, 
plot3(L.h(L.C),L.V(L.C),L.s(L.C),'Color','r',...
    'LineWidth',1.5,'LineStyle','-','Marker','none')
plot3(L.h(not(L.C)),L.V(not(L.C)),L.s(not(L.C)),'Color','k',...
    'LineWidth',1.5,'LineStyle','-','Marker','none')
hold off
Axes = gca;

end