function Func_VisualizePlane(Plane,C,L1,L2)
%
%   Func_VisualizePlane(Plane,C,L1,L2)
%
%   Function that visualized the specified Plane object inside the
%   dedicated graphic window opened as last. The plane is visualized via
%   the two principal vector V1 and V2 generator of the plane. L1 and L2
%   defines the scalar associated to these last to compute the four main
%   points to be visualized.
%
%   @param Plane    :   Structure that define the plane to be visualized
%   @param C        :   Center point in which visualize the plane
%   @param L1       :   Scalar associated to the V1 vector
%   @param L2       :   Scalar associated to the V2 vector
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

C = double([double(C.h); double(C.V); double(C.s)]);
PLANE = [C+L1*Plane.V1,C+L2*Plane.V2,C-L1*Plane.V1,C-L2*Plane.V2];

hold on, 
fill3(PLANE(1,:),PLANE(2,:),PLANE(3,:),'b',...
    'FaceColor','b','FaceAlpha',0.25,'EdgeColor','b','LineWidth',1.5), 
hold off

end