%
% Experiments Classification
%
% ---- Note ---------------------------------------------------------------
% The algorithm assists the user in classifying each temporal evolution
% generated under various pharmacological condition from the model. Please
% use the name specified in the request.
%
% ---- Requirements -------------------------------------------------------
% The data produced must be saved in the data folder.
%
% ---- Authors ------------------------------------------------------------
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

%% ENVIROMENT
% Preparation of the enviroment via the closing of all the opened window,
% clearing of the workspace and finally the cleaning of the comand window.
clear all; close all; clc;

%% CLASSIFICATION
% Classification of the considered pattern, creation of the table
% experimental classification and savage of the same inside a dedicated
% .mat file.

CTR   = {'Control','Stimulated'};
nCTR  = length(CTR);
nEXP  = 5;
IApp  = {'Low','High'};
nIApp = 2;

for iEXP = 1:1:nEXP
    for iCTR = 1:1:nCTR
        for iI = 1:1:nIApp
            A = input(sprintf('EXP: %i - %s - IApp: %s [SPIKING, MMO - FN, MMO - SHB, SS]:\\ ',iEXP,CTR{iCTR},IApp{iI}),'s');
            eval(['EXPTable.EXP',num2str(iEXP),'.',CTR{iCTR},'.',IApp{iI},'.Activity = A;'])
        end
    end
end

save('EXP_Classification','EXPTable')